> For the complete documentation index, see [llms.txt](https://docs.violet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.violet.io/api-reference/readme.md).

# Overview

Violet API Reference

### Overview

The Violet API is organized around the [REST](http://en.wikipedia.org/wiki/Representational_State_Transfer) protocol.

Using our API, you'll be able to perform a variety of operations, such as performing Checkout or Bi-directional Data Transfers across a multitude of E-commerce platforms.

### Key Sections

* [**Login**](/api-reference/auth/login.md) – Login and Auth capabilities powered by Violet
* [**Catalog**](/api-reference/catalog/offers.md) – Easily access Catalog data for all your connected merchants
* [**Orders and Checkout**](/api-reference/orders-and-checkout/carts.md) – Power multi-merchant Checkout through Violet
* [**Merchants**](/api-reference/merchants/merchant.md) – Access information about your connected merchants
* [**Events**](/api-reference/events/webhooks.md) – Track the lifecycle of Orders and Checkout through events
* [**Operations**](/api-reference/operations/connection.md) – Understand the health of merchants connected to your platform

#### OpenAPI Files

The [Violet OpenAPI](https://github.com/violetio/open-api.git) files are available on GitHub. These files describe the APIs Violet exposes in a standardized way suitable for usage with tools for testing, client library generation, and other purposes that ingest OpenAPI/Swagger definition files. By default, Violet generates open-api-3 spec files.

#### A Note About Null Values

As a general rule, values that are null will not be included in the response object. So if a property listed in the spec is not being returned by the API it is usually because that property is null for the returned object.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.violet.io/api-reference/readme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
